
-- ==================== --
-- INCLUDES & UTILITIES --
-- ==================== --

include("AdditionalAchievementsUtility.lua");
local pCiv = GameInfoTypes.CIVILIZATION_THP_FATIMID_BILLAH

function JFDGame_IsAAActive()
	for _, mod in pairs(Modding.GetActivatedMods()) do
		if mod.ID == "432bc547-eb05-4189-9e46-232dbde8f09f" then
			return true
		end
	end
	return false
end
local isAAActive = JFDGame_IsAAActive()

-- ========= --
-- FUNCTIONS --
-- ========= --

function BillahAACheck(ownerID, religionID, iX, iY)
	if IsAAUnlocked('AA_THP_BILLAH_SPECIAL') then return end
	local pCityOwner = Players[ownerID]
	local tOwningTeam = Teams[pCityOwner:GetTeam()]
	local cConvertedCity = Map.GetPlot(iX, iY):GetPlotCity()
	if cConvertedCity:IsHolyCityAnyReligion() then
		if tOwningTeam:GetAtWarCount(false) > 0 then
			for otherTeamID, otherTeam in pairs(Teams) do
				if tOwningTeam:IsAtWar(otherTeamID) then
					local otherPlayer = Players[otherTeam:GetLeaderID()]
					if (otherPlayer:GetCivilizationType() == pCiv) and (otherPlayer:IsHuman()) then
						UnlockAA('AA_THP_BILLAH_SPECIAL');
					end
				end
			end
		end
	end
end

if isAAActive then
	GameEvents.CityConvertsReligion.Add(BillahAACheck)
end