
local pCiv = GameInfoTypes.CIVILIZATION_THP_FATIMID_BILLAH

-----------------------------------------
-- Enemy units killed near GP can convert
-----------------------------------------

local pCapturePromo = GameInfoTypes.PROMOTION_THP_DAI_CONVERT

function UpdateCaptureStatus(playerID)
	local pPlayer = Players[playerID]
	if pPlayer:GetCivilizationType() ~= pCiv then return end
	for uOrigUnit in pPlayer:Units() do
		local bIsItStacked = false
		if uOrigUnit:IsCombatUnit() then
			local pPlot = uOrigUnit:GetPlot()
			local iNumUnits = pPlot:GetNumUnits()
			if iNumUnits > 1 then
				for iVal = 0,(iNumUnits - 1) do
					local uCheckedUnit = pPlot:GetUnit(iVal)
					if uCheckedUnit:IsGreatPerson() then
						bIsItStacked = true
					end
				end
			end
		end
		uOrigUnit:SetHasPromotion(pCapturePromo, bIsItStacked)
	end
end

GameEvents.PlayerDoTurn.Add(UpdateCaptureStatus)

-------------------------------------------
-- Great People move faster
-------------------------------------------

local pFastGP = GameInfoTypes.PROMOTION_THP_FAST_GP

-- This function was originally written by ViceVirtuoso for CL's Boers
function PromoteGP(iPlayer, iUnitID)
	if iPlayer < GameDefines.MAX_MAJOR_CIVS then
		local pPlayer = Players[iPlayer]
		if pPlayer:GetCivilizationType() == pCiv then
			local pUnit = pPlayer:GetUnitByID(iUnitID)
			if pUnit:IsGreatPerson() and not pUnit:IsHasPromotion(pFastGP) then
				pUnit:SetHasPromotion(pFastGP, true)
				local iNumMoves = (pUnit:GetMoves() + 2) * 60
				pUnit:SetMoves(iNumMoves)
			end
		end
	end
end

GameEvents.UnitSetXY.Add(PromoteGP)
