
local pCiv = GameInfoTypes.CIVILIZATION_THP_FATIMID_BILLAH

------------------------------------
-- Kutama
-- Combat boost when stacked with GP
------------------------------------

local uKutama = GameInfoTypes.UNIT_THP_KUTAMA
local uKutamaClass = GameInfoTypes.UNITCLASS_KNIGHT
local pRegularPromo = GameInfoTypes.PROMOTION_THP_KUTAMA
local pDummyPromo = GameInfoTypes.PROMOTION_THP_KUTAMA_DUMMY

function CheckKutama(playerID)
	local pPlayer = Players[playerID]
	if pPlayer:GetCivilizationType() ~= pCiv then return end
	if pPlayer:HasUnitOfClassType(uKutamaClass) then
		for uUnit in pPlayer:Units() do
			if uUnit:GetUnitType() == uKutama then
                local isStackedWithGP = false
                local pUnitPlot = uUnit:GetPlot()
                local iNumUnits = pUnitPlot:GetNumUnits()
                for iVal = 0,(iNumUnits - 1) do
                    local pStackedUnit = pUnitPlot:GetUnit(iVal)
                    if pStackedUnit:IsGreatPerson() then
                        isStackedWithGP = true
                    end
                end
                if isStackedWithGP then
                    uUnit:SetHasPromotion(pDummyPromo, true)
                    uUnit:SetHasPromotion(pRegularPromo, false)
                else
                    uUnit:SetHasPromotion(pDummyPromo, false)
                    uUnit:SetHasPromotion(pRegularPromo, true)
                end
            end
        end
    end
end

GameEvents.PlayerDoTurn.Add(CheckKutama)

