
local pCiv = GameInfoTypes.CIVILIZATION_THP_FATIMID_MUIZZ
local bMazar = GameInfoTypes.BUILDING_THP_MAZAR
local pAcademy = GameInfoTypes.IMPROVEMENT_ACADEMY

-- This function checks the player's cities for a Mazar, and apportions out Faith per academy in the appropriate cities.

function MazarCheck(playerID)
	local pPlayer = Players[playerID]
	if pPlayer:GetCivilizationType() == pCiv then
		local faithUpdate = 0
		for pCity in pPlayer:Cities() do
			if pCity:IsHasBuilding(bMazar) then
				for i = 0, pCity:GetNumCityPlots(), 1 do
					local pCheckedPlot = pCity:GetCityIndexPlot(i)
					if pCheckedPlot:GetImprovementType() == pAcademy then
						faithUpdate = faithUpdate + 2
					end
				end
			end
		end
		pPlayer:ChangeFaith(faithUpdate)
	end
end

GameEvents.PlayerDoTurn.Add(MazarCheck)